import { RGBColor } from "./RGBColor";
import { SRGBColor } from "./SRGBColor";
import { XYZColor } from "./XYZColor";
import { LABColor } from "./LABColor";
import { HSLColor } from "./HSLColor";
export declare class Color {
    get sRGB(): SRGBColor;
    get RGB(): RGBColor;
    get XYZ(): XYZColor;
    get LAB(): LABColor;
    get HSL(): HSLColor;
    private srgbColor;
    private rgbColor;
    private xyzColor;
    private labColor;
    private hslColor;
    constructor(srgb: SRGBColor);
    constructor(rgb: RGBColor);
    constructor(hsl: HSLColor);
    constructor(xyz: XYZColor);
    constructor(lab: LABColor);
    constructor(srgbCSSString: string);
    constructor(r: number, g: number, b: number);
}
