import { SRGBColor } from "./SRGBColor";
export declare class HSLColor {
    get h(): number;
    get s(): number;
    get l(): number;
    private values;
    constructor(h: number, s: number, l: number);
    toArray(): number[];
    toCSSValues(): number[];
    toCSSString(alpha?: number): string;
    toSRGB(): SRGBColor;
    private hue2rgb;
}
