import { RGBColor } from "./RGBColor";
import { SRGBColor } from "./SRGBColor";
import { XYZColor } from "./XYZColor";
export interface ILabColorPoint {
    a: number;
    b: number;
}
export declare class LABColor implements ILabColorPoint {
    get l(): number;
    get a(): number;
    get b(): number;
    private values;
    constructor(l: number, a: number, b: number);
    distanceTo(color: LABColor): number;
    distanceTo_00(color: LABColor): number;
    distanceToGray(): number;
    toArray(): number[];
    toXYZ(): XYZColor;
    toRGB(): RGBColor;
    toSRGB(): SRGBColor;
}
