import { RGBColor } from "./RGBColor";
import { SRGBColor } from "./SRGBColor";
import { LABColor } from "./LABColor";
export declare class XYZColor {
    static D65: XYZColor;
    static D50: XYZColor;
    get x(): number;
    get y(): number;
    get z(): number;
    private values;
    constructor(x: number, y: number, z: number);
    toArray(): number[];
    toRGB(): RGBColor;
    toSRGB(): SRGBColor;
    toLAB(): LABColor;
}
