import { Tag } from "./Tag";
import { ITagsDescriptor } from "../Interface/ITagsDescriptor";
export declare class TagsDescriptor {
    static BuildFromJSON(data: ITagsDescriptor): TagsDescriptor;
    private allTags;
    private primaryTag;
    get all(): Tag[];
    get primary(): Tag;
    get secondary(): Tag[];
    constructor();
    constructor(tags: Tag[]);
    constructor(primaryTag: Tag, secondaryTags: Tag[]);
    toString(): string;
    toJSON(): ITagsDescriptor;
}
