import { RegionData } from "../Core/RegionData";
export declare type SelectionNotifyFunction = () => void;
export declare type SelectionConfirmFunction = (regionData: RegionData) => void;
export interface ISelectorCallbacks {
    onSelectionBegin: SelectionNotifyFunction;
    onSelectionEnd: SelectionConfirmFunction;
    onLocked?: () => void;
    onUnlocked?: () => void;
}
