import { Rect } from "../../Core/Rect";
import { RegionData } from "../../Core/RegionData";
import { TagsDescriptor } from "../../Core/TagsDescriptor";
import { ITagsUpdateOptions } from "../../Interface/ITagsUpdateOptions";
import { TagsComponent } from "../Component/TagsComponent";
export declare class TagsElement extends TagsComponent {
    static DEFAULT_PRIMARY_TAG_RADIUS: number;
    static DEFAULT_SECONDARY_TAG_SIZE: number;
    static DEFAULT_SECONDARY_TAG_DY: number;
    private primaryTagBoundRect;
    private primaryTagPolyline;
    private lastTagText;
    constructor(paper: Snap.Paper, paperRect: Rect, regionData: RegionData, tags: TagsDescriptor, styleId: string, styleSheet: CSSStyleSheet, tagsUpdateOptions?: ITagsUpdateOptions);
    redraw(): void;
    protected initStyleMaps(tags: TagsDescriptor): void;
    protected rebuildTagLabels(): void;
    private buildOn;
}
