import { Point2D } from "../../Core/Point2D";
import { Rect } from "../../Core/Rect";
import { Element } from "./Element";
import { IPoint2D } from "../../Interface/IPoint2D";
import { IRect } from "../../Interface/IRect";
export declare class RectElement extends Element implements IPoint2D {
    rect: Rect;
    private originPoint;
    get x(): number;
    get y(): number;
    constructor(paper: Snap.Paper, boundRect: Rect, rect: IRect);
    move(p: Point2D): void;
    resize(width: number, height: number): void;
    private buildUIElements;
}
