import { Rect } from "../../Core/Rect";
import { ISelectorCallbacks } from "../../Interface/ISelectorCallbacks";
import { Selector } from "./Selector";
export declare class PointSelector extends Selector {
    private static DEFAULT_POINT_RADIUS;
    private crossA;
    private point;
    constructor(parent: SVGSVGElement, paper: Snap.Paper, boundRect: Rect, callbacks?: ISelectorCallbacks);
    resize(width: number, height: number): void;
    hide(): void;
    show(): void;
    private buildUIElements;
}
