import { Rect } from "../../Core/Rect";
import { ISelectorCallbacks } from "../../Interface/ISelectorCallbacks";
import { Selector } from "./Selector";
export declare enum SelectionModificator {
    RECT = 0,
    SQUARE = 1
}
export declare class RectSelector extends Selector {
    private crossA;
    private pScale;
    private crossB;
    private selectionBox;
    private capturingState;
    private pointerCaptureId;
    private isTwoPoints;
    private selectionModificator;
    private usingKeyboardCursor;
    private curKeyboardCross;
    private RegionsManager;
    private sizeTagText;
    private showSizeText;
    constructor(parent: SVGSVGElement, paper: Snap.Paper, boundRect: Rect, callbacks?: ISelectorCallbacks);
    resize(width: number, height: number): void;
    hide(): void;
    show(): void;
    private buildUIElements;
    private moveSelectionBox;
    private onPointerEnter;
    private onPointerLeave;
    private onPointerDown;
    private onPointerUp;
    private onPointerMove;
    private onKeyDown;
    private onKeyUp;
    private activateKeyboardCursor;
    private deactivateKeyboardCursor;
    private startTwoPointSelection;
    private endTwoPointSelection;
    private isKeyboardControlKey;
    private moveKeyboardCursor;
}
