import { XYZColor } from "./XYZColor";
import { LABColor } from "./LABColor";
import { SRGBColor } from "./SRGBColor";
export declare class RGBColor {
    get r(): number;
    get g(): number;
    get b(): number;
    private values;
    constructor(r: number, g: number, b: number);
    toArray(): number[];
    toXYZ(): XYZColor;
    toSRGB(): SRGBColor;
    toLAB(): LABColor;
}
