import { HSLColor } from "./HSLColor";
import { XYZColor } from "./XYZColor";
import { LABColor } from "./LABColor";
import { RGBColor } from "./RGBColor";
export declare class SRGBColor {
    static ParseHex(hex: string): SRGBColor;
    get r(): number;
    get g(): number;
    get b(): number;
    private values;
    constructor(r: number, g: number, b: number);
    isValidColor(): boolean;
    truncate(): SRGBColor;
    toArray(): number[];
    toCSSString(alpha?: number): string;
    toHex(alpha?: number): string;
    toHSL(): HSLColor;
    toXYZ(): XYZColor;
    toRGB(): RGBColor;
    toLAB(): LABColor;
    private to255;
    private toFF;
}
