import { ITag } from "../Interface/ITag";
import { Color } from "../Core/Colors/Color";
export declare class Tag implements ITag {
    static BuildFromJSON(data: ITag): Tag;
    static getHueFromColor(color: string): number;
    private tagName;
    private tagID;
    get colorHue(): number;
    get color(): string;
    get name(): string;
    get id(): string;
    private tagColorPure;
    private tagColorAccent;
    private tagColorHighlight;
    private tagColorShadow;
    private tagColorNoColor;
    private tagColorDark;
    private colorObj;
    get colorPure(): string;
    get colorAccent(): string;
    get colorHighlight(): string;
    get colorShadow(): string;
    get colorDark(): string;
    get colorNoColor(): string;
    constructor(name: string, colorHue: number, id?: string);
    constructor(name: string, cssColor: string, id?: string);
    constructor(name: string, color: Color, id?: string);
    copy(): Tag;
    toJSON(): ITag;
}
