import { RegionData } from "../Core/RegionData";
import { IRegionCallbacks } from "./IRegionCallbacks";
export declare type RegionUpdateFunction = (id: string, regionData?: RegionData) => void;
export declare type RegionSelectionFunction = (id: string, multiselection?: boolean, regionData?: RegionData) => void;
export interface IRegionsManagerCallbacks extends IRegionCallbacks {
    onRegionSelected?: RegionSelectionFunction;
    onRegionMove?: RegionUpdateFunction;
    onRegionMoveBegin?: RegionUpdateFunction;
    onRegionMoveEnd?: RegionUpdateFunction;
    onRegionDelete?: RegionUpdateFunction;
}
