import { Point2D } from "../../Core/Point2D";
import { Rect } from "../../Core/Rect";
import { RegionData } from "../../Core/RegionData";
import { IRegionCallbacks } from "../../Interface/IRegionCallbacks";
import { RegionComponent } from "./RegionComponent";
export declare abstract class DragComponent extends RegionComponent {
    protected dragNode: Snap.Element;
    protected isDragged: boolean;
    protected dragOrigin: Point2D;
    constructor(paper: Snap.Paper, paperRect: Rect, regionData: RegionData, callbacks: IRegionCallbacks);
    freeze(): void;
    protected subscribeToDragEvents(): void;
}
