import { Rect } from "../../Core/Rect";
import { RegionData } from "../../Core/RegionData";
import { TagsDescriptor } from "../../Core/TagsDescriptor";
import { ITagsUpdateOptions } from "../../Interface/ITagsUpdateOptions";
import { IRegionCallbacks } from "../../Interface/IRegionCallbacks";
import { Region } from "../Region";
export declare class PolygonRegion extends Region {
    private anchorNode;
    private dragNode;
    private tagsNode;
    private toolTip;
    private paperRects;
    constructor(paper: Snap.Paper, paperRect: Rect, regionData: RegionData, callbacks: IRegionCallbacks, id: string, tagsDescriptor: TagsDescriptor, tagsUpdateOptions?: ITagsUpdateOptions);
    updateTags(tags: TagsDescriptor, options?: ITagsUpdateOptions): void;
    resize(width: number, height: number): void;
    private buildOn;
}
