import { Rect } from "../../Core/Rect";
import { RegionData } from "../../Core/RegionData";
import { IRegionCallbacks } from "../../Interface/IRegionCallbacks";
import { DragComponent } from "../Component/DragComponent";
export declare class DragElement extends DragComponent {
    protected nodeList: any[];
    constructor(paper: Snap.Paper, paperRect: Rect, regionData: RegionData, callbacks: IRegionCallbacks);
    private anchorsLength;
    protected buildDragLine(): void;
    redraw(): void;
}
