import { Rect } from "../../Core/Rect";
import { RegionData } from "../../Core/RegionData";
import { TagsDescriptor } from "../../Core/TagsDescriptor";
import { ITagsUpdateOptions } from "../../Interface/ITagsUpdateOptions";
import { TagsComponent } from "../Component/TagsComponent";
export declare class TagsElement extends TagsComponent {
    private textBox;
    private primaryTagRect;
    private primaryTagText;
    private primaryTagTextBG;
    constructor(paper: Snap.Paper, paperRect: Rect, regionData: RegionData, tags: TagsDescriptor, styleId: string, styleSheet: CSSStyleSheet, tagsUpdateOptions?: ITagsUpdateOptions);
    redraw(rebuildTags?: boolean): void;
    protected initStyleMaps(tags: TagsDescriptor): void;
    protected rebuildTagLabels(): void;
    private buildOn;
}
