import { Rect } from "../Core/Rect";
import { ISelectorCallbacks } from "../Interface/ISelectorCallbacks";
import { ISelectorSettings, SelectionMode } from "../Interface/ISelectorSettings";
export declare class AreaSelector {
    static DefaultTemplateSize: Rect;
    callbacks: ISelectorCallbacks;
    private parentNode;
    private paper;
    private boundRect;
    private areaSelectorLayer;
    private selector;
    private selectorSettings;
    private rectSelector;
    private rectCopySelector;
    private pointSelector;
    private polylineSelector;
    private polygonSelector;
    private isVisible;
    private verticalLine;
    private horizontalLine;
    private vertical0Line;
    private horizontal0Line;
    constructor(svgHost: SVGSVGElement, callbacks?: ISelectorCallbacks);
    resize(width: number, height: number): void;
    setlp(xp: number, yp: number, xp2: number, yp2: number): void;
    enable(): void;
    disable(): void;
    show(): void;
    hide(): void;
    setSelectionMode(selectionMode: SelectionMode): any;
    setSelectionMode(settings: ISelectorSettings): any;
    getSelectorSettings(): ISelectorSettings;
    private buildUIElements;
}
