import { Point2D } from "../../Core/Point2D";
import { Rect } from "../../Core/Rect";
import { Element } from "./Element";
import { IPoint2D } from "../../Interface/IPoint2D";
export declare class CrossElement extends Element implements IPoint2D {
    private hl;
    private vl;
    private center;
    get x(): number;
    get y(): number;
    constructor(paper: Snap.Paper, boundRect: Rect);
    boundToRect(rect: Rect): Point2D;
    move(p: IPoint2D, boundRect: Rect, square?: boolean, ref?: IPoint2D): void;
    resize(width: number, height: number): void;
    private buildUIElements;
}
