import { Rect } from "../../Core/Rect";
import { IHideable } from "../../Interface/IHideadble";
import { IResizable } from "../../Interface/IResizable";
export declare abstract class Element implements IHideable, IResizable {
    node: Snap.Element;
    protected paper: Snap.Paper;
    protected boundRect: Rect;
    protected isVisible: boolean;
    get width(): number;
    get height(): number;
    constructor(paper: Snap.Paper, boundRect: Rect);
    hide(): void;
    show(): void;
    resize(width: number, height: number): void;
    repoints(xp: number, yp: number): void;
}
