import { Rect } from "../../Core/Rect";
import { ISelectorCallbacks } from "../../Interface/ISelectorCallbacks";
import { Selector } from "./Selector";
export declare class PolygonSelector extends Selector {
    private static DEFAULT_POINT_RADIUS;
    private static DEFAULT_SELECTOR_RADIUS;
    private crossA;
    private nextPoint;
    private nextSegment;
    private nextL1;
    private nextLN;
    private pointsGroup;
    private polygon;
    private points;
    private lastPoint;
    private isCapturing;
    constructor(parent: SVGSVGElement, paper: Snap.Paper, boundRect: Rect, callbacks?: ISelectorCallbacks);
    resize(width: number, height: number): void;
    hide(): void;
    show(): void;
    disable(): void;
    private buildUIElements;
    private onPointerMove;
    private reset;
    private addPoint;
    private submitPolygon;
    private getPolygonPoints;
}
