import { Rect } from "../../Core/Rect";
import { ISelectorCallbacks } from "../../Interface/ISelectorCallbacks";
import { Selector } from "./Selector";
export declare class PolylineSelector extends Selector {
    private static DEFAULT_POINT_RADIUS;
    private static DEFAULT_SELECTOR_RADIUS;
    private crossA;
    private nextPoint;
    private nextSegment;
    private pointsGroup;
    private polyline;
    private points;
    private lastPoint;
    private isCapturing;
    constructor(parent: SVGSVGElement, paper: Snap.Paper, boundRect: Rect, callbacks?: ISelectorCallbacks);
    resize(width: number, height: number): void;
    hide(): void;
    show(): void;
    disable(): void;
    private buildUIElements;
    private reset;
    private addPoint;
    private onPointerEnter;
    private onPointerLeave;
    private onPointerDown;
    private onClick;
    private onPointerMove;
    private onDoubleClick;
    private submitPolyline;
    private getPolylinePoints;
    private onKeyUp;
}
