import { Rect } from "../../Core/Rect";
import { IRect } from "../../Interface/IRect";
import { ISelectorCallbacks } from "../../Interface/ISelectorCallbacks";
import { Selector } from "./Selector";
export declare class RectCopySelector extends Selector {
    private copyRect;
    private crossA;
    private copyRectEl;
    constructor(parent: SVGSVGElement, paper: Snap.Paper, boundRect: Rect, copyRect: Rect, callbacks?: ISelectorCallbacks);
    setTemplate(copyRect: IRect): void;
    resize(width: number, height: number): void;
    hide(): void;
    show(): void;
    private buildUIElements;
    private moveCopyRect;
    private onPointerEnter;
    private onPointerLeave;
    private onPointerDown;
    private onPointerUp;
    private onPointerMove;
    private onWheel;
}
